> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/article.md).

# Article

Manage articles via the VARIO Cloud REST API, including product data, taxes, components, listings, locks, workflows, and label printing.

the Article API

## GET /erp/articles/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}":{"get":{"tags":["Article"],"operationId":"getArticleById","parameters":[{"name":"id","in":"path","description":"Article identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"languageCode","in":"query","description":"Requested language (e.g. de).","required":false,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-Article"}}}}}}}},"components":{"schemas":{"erp-product-Article":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active","readOnly":true},"baseArticle":{"type":"boolean","default":true,"description":"Is this the product's base article?","readOnly":true},"productType":{"type":"string","description":"Article types.","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"],"readOnly":true},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"expiryDateType":{"type":"string","description":"Expiry date type for serial articles.","enum":["NONE","BEST_BEFORE_DATE","EXPIRATION_DATE"],"readOnly":true},"minimumRemainingDaysBeforeExpiryDateOnGoodsReceipt":{"type":"integer","format":"int32","description":"Minimum remaining shelf life incoming (days): minimum remaining shelf life in days an article must still have when booked into a sales storage.","readOnly":true},"minimumRemainingDaysBeforeExpiryDateForGoodsIssued":{"type":"integer","format":"int32","description":"Minimum remaining shelf life outgoing (days): minimum remaining shelf life in days an article must still have when sold.","readOnly":true},"warrantyInMonths":{"type":"integer","format":"int32","description":"Warranty in months.","readOnly":true},"lotOnlyRequiredWhenBookedToSalesStorage":{"type":"boolean","default":false,"description":"A lot must be assigned when booking into a sales storage (for serial types LOT and BEST_BEFORE).","readOnly":true},"serialNumberLabelingType":{"type":"string","description":"Serial number labeling type.","enum":["MANUAL","AUTOMATIC_ON_SUPPLIER_ORDER","AUTOMATIC_ON_SUPPLIER_DELIVERY"],"readOnly":true},"number":{"type":"string","description":"unique product number","maxLength":255,"minLength":0},"sellable":{"type":"boolean","default":true,"description":"is this product sellable"},"purchasable":{"type":"boolean","default":true,"description":"is this product purchasable"},"solvable":{"type":"boolean","default":false,"description":"is this product solvable to another package-variant"},"mergeable":{"type":"boolean","default":false,"description":"is this product mergeable to another package-variant"},"salesUnit":{"type":"number","description":"Sales unit."},"grossMetric":{"$ref":"#/components/schemas/erp-product-Article.Metric"},"netMetric":{"$ref":"#/components/schemas/erp-product-Article.Metric"},"grossVolumeInCubicMeters":{"type":"number","description":"gross Volume in cubic meters"},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"capacity":{"type":"number","description":"capacity"},"capacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"baseCapacity":{"type":"number","description":"base capacity"},"baseCapacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"productRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"netSalesPrice":{"type":"number","description":"net sales prices"},"grossSalesPrice":{"type":"number","description":"gross sales prices"},"taxSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"basePriceUnit":{"type":"number","description":"Base price unit."},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliverable":{"type":"boolean","default":true,"description":"Is the article still deliverable?"},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":15,"minLength":0,"readOnly":true},"countryOfOriginRef":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"tags":{"type":"array","description":"Product tags.","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"listingId":{"type":"string","description":"Listing identifier."},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is the tax liability reversed under §13b UStG?"},"sellableWithoutStock":{"type":"boolean","default":false,"description":"is this product sellable without any quantity at the stock"},"listed":{"type":"boolean","default":true,"description":"Should the article be listed?"},"listingState":{"type":"string","description":"Listing synchronization status.","enum":["DISABLED","NEED_SYNCHRONIZE","QUEUED_FOR_SYNCHRONIZE","SYNCHRONIZED","ERRONEOUS","NEED_DELETION","QUEUED_FOR_DELETION"],"readOnly":true},"listingStateChangeTime":{"type":"string","format":"date-time","description":"Last listingState update.","readOnly":true},"identifiers":{"type":"array","description":"all (external) product numbers (SKU, EAN, ...)","items":{"$ref":"#/components/schemas/erp-product-ArticleIdentifier"}},"name":{"type":"string","description":"name of this product"},"alternativeName":{"type":"string","description":"alternative name of this product"},"description":{"type":"string","description":"description of this product"},"listingDescriptionCustom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"availabilityDetermination":{"$ref":"#/components/schemas/erp-product-ArticleAvailabilityDetermination"},"listingCustom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"targetTradingMargin":{"type":"number","description":"Target trading margin."},"languageCode":{"type":"string","description":"Restriction to a country."},"dangerousGoodInformation":{"$ref":"#/components/schemas/erp-product-DangerousGoodInformation"},"dangerousGoods":{"type":"boolean","default":false,"description":"The article is dangerous goods."},"availableAlone":{"type":"boolean","default":true,"description":"Is the article deliverable on its own?"},"pickingType":{"type":"string","default":"ACCORDING_TO_TEMPLATE","description":"Defines how an article may be picked.","enum":["ACCORDING_TO_TEMPLATE","PICKING_ALLOWED","PICKING_NOT_ALLOWED","ONLY_SINGLE_ORDER_PICKING_ALLOWED","ONLY_COLLECTIVE_ORDER_PICKING_ALLOWED"]},"workUnitInMinutes":{"type":"integer","format":"int32","description":"Work unit in minutes.","minimum":0},"initialLastPurchasePrice":{"type":"number","description":"Last purchase price (initial value)."},"initialAvgPurchasePrice":{"type":"number","description":"Average purchase price (initial value)."},"determineAvgPurchasePrice":{"type":"boolean","default":true,"description":"Should the average purchase price be calculated?"},"commissionable":{"type":"boolean","default":true,"description":"Is this article eligible for commission?"},"cashDiscountable":{"type":"boolean","default":true,"description":"Is this article eligible for the payment discount?"},"discountable":{"type":"boolean","default":true,"description":"Is this article eligible for discount?"},"contingentArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printWarningIfNoContingentAvailable":{"type":"boolean","default":true,"description":"Only for quota articles: should the billing print a note that no quota is available?"},"freelyPickable":{"type":"boolean","default":false,"description":"Freely pickable."},"shippingLabelPrinting":{"type":"boolean","default":false,"description":"Shipping label printing."},"permissibleForOrderProposal":{"type":"boolean","default":true,"description":"Eligible for inclusion in order proposals."},"dropShippingPolicy":{"type":"string","default":"STORAGE","description":"Defines whether and how an article may be sold by drop shipping.","enum":["ANY","DROP_SHIPPING","STORAGE","STORAGE_WITH_FALLBACK_TO_DROP_SHIPPING"]},"fabrication":{"type":"boolean","default":false,"description":"Fabrication."},"onlyManualFabrication":{"type":"boolean","default":false,"description":"Manual fabrication only."},"fabricationOfComponents":{"type":"string","description":"Component fabrication.","enum":["NEVER","COMPLETELY_IF_NECESSARY","REQUIRED_QUANTITY_IF_NECESSARY","ALWAYS"]},"defaultFabricationCost":{"type":"number","description":"Predefined production costs."},"printLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerArticleNumber":{"type":"string","description":"Article number."},"needsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Demand determination based on reservations only."},"onGoodsArrivalConvertIntoBundleArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remark":{"type":"string","description":"Special remark."},"note":{"type":"string","description":"Note."},"forcedRecommendedRetailPrice":{"type":"boolean","description":"Is the recommended retail price mandatory?"},"articleAssetInformation":{"$ref":"#/components/schemas/erp-product-ArticleAssetInformation"},"returnable":{"type":"boolean","default":true,"description":"Is this returnable?"},"storageInfo":{"type":"string","description":"Kommissionierungshinweis","maxLength":2147483647,"minLength":0},"priceLookUpCode":{"type":"string","description":"Price look-up code (PLU)."}},"required":["deliverable","dropShippingPolicy","productGroupRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-product-Article.Metric":{"description":"weight and size w.o. packaging","properties":{"weight":{"type":"number","description":"weight"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sizeUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sizeX":{"type":"number","description":"size"},"sizeY":{"type":"number","description":"size"},"sizeZ":{"type":"number","description":"size"}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-product-ArticleIdentifier":{"description":"all (external) product numbers (SKU, EAN, ...)","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"value":{"type":"string","description":"identifier","maxLength":255,"minLength":0},"name":{"type":"string","description":"identifier type","maxLength":255,"minLength":0},"defaultArticleIdentifier":{"type":"boolean","default":false,"description":"Is this the default article identifier?"}},"required":["defaultArticleIdentifier","name","value"]},"erp-product-ArticleAvailabilityDetermination":{"description":"Availability determination for the article master data and the stock view.","properties":{"inStock":{"type":"string","description":"How the stock is handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reserved":{"type":"string","description":"How reserved quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"ordered":{"type":"string","description":"How ordered quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"inPicking":{"type":"string","description":"How quantities in picking are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reporting":{"type":"string","description":"How reorder levels are handled.","enum":["IGNORE","ADD","SUBTRACT"]}}},"erp-product-DangerousGoodInformation":{"description":"Dangerous goods information.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"description":{"type":"string","description":"description"},"shippingName":{"type":"string","description":"shipping name"},"technicalName":{"type":"string","description":"technical name"},"adrNumber":{"type":"string","description":"adr identification number"},"unNumber":{"type":"string","description":"united nations number (un number)"},"identificationClass":{"type":"string","description":"identification class"},"classificationCode":{"type":"string","description":"classification code"},"packingGroup":{"type":"string","description":"packing group (I, II, III or blank)"},"packingCode":{"type":"string","description":"packing code"},"transportCategory":{"type":"string","description":"transportation category"},"regulationCode":{"type":"string","description":"regulation code","enum":["FR","LQ","EQ","LR"]},"regulationSet":{"type":"string","description":"regulation Set, e.g. ADR","enum":["ADR","IATA"]},"hazardousWeight":{"type":"number","description":"weight of the hazardous part"},"subsidiaryRisk":{"type":"boolean","default":false,"description":"secundary risk of the dangerous good"},"tunnelRestrictionCode":{"type":"string","description":"tunnel restriction classes","enum":["A","B","C","D","E"]}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}},"erp-product-ArticleAssetInformation":{"description":"Information about the connection between the asset and the Article.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"createAssetOnStorageEntry":{"type":"boolean","default":false,"description":"Create assets automatically on stock receipt."},"createAssetOnSale":{"type":"boolean","default":false,"description":"Create the asset automatically on sale."},"createAssetOnDocumentCategory":{"type":"string","description":"Create the asset for this document category.","enum":["CUSTOMER_DELIVERY","CUSTOMER_INVOICE"]},"createWithAssetType":{"$ref":"#/components/schemas/erp-asset-AssetType"}}},"erp-asset-AssetType":{"description":"Asset.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label."},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true}}}}}}
```

## PUT /erp/articles/{id}

> Update existing article

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}":{"put":{"tags":["Article"],"summary":"Update existing article","operationId":"update_76","parameters":[{"name":"id","in":"path","description":"Article identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"languageCode","in":"query","description":"Requested language (e.g. de).","required":false,"style":"form","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-Article"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-Article"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-product-Article":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active","readOnly":true},"baseArticle":{"type":"boolean","default":true,"description":"Is this the product's base article?","readOnly":true},"productType":{"type":"string","description":"Article types.","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"],"readOnly":true},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"expiryDateType":{"type":"string","description":"Expiry date type for serial articles.","enum":["NONE","BEST_BEFORE_DATE","EXPIRATION_DATE"],"readOnly":true},"minimumRemainingDaysBeforeExpiryDateOnGoodsReceipt":{"type":"integer","format":"int32","description":"Minimum remaining shelf life incoming (days): minimum remaining shelf life in days an article must still have when booked into a sales storage.","readOnly":true},"minimumRemainingDaysBeforeExpiryDateForGoodsIssued":{"type":"integer","format":"int32","description":"Minimum remaining shelf life outgoing (days): minimum remaining shelf life in days an article must still have when sold.","readOnly":true},"warrantyInMonths":{"type":"integer","format":"int32","description":"Warranty in months.","readOnly":true},"lotOnlyRequiredWhenBookedToSalesStorage":{"type":"boolean","default":false,"description":"A lot must be assigned when booking into a sales storage (for serial types LOT and BEST_BEFORE).","readOnly":true},"serialNumberLabelingType":{"type":"string","description":"Serial number labeling type.","enum":["MANUAL","AUTOMATIC_ON_SUPPLIER_ORDER","AUTOMATIC_ON_SUPPLIER_DELIVERY"],"readOnly":true},"number":{"type":"string","description":"unique product number","maxLength":255,"minLength":0},"sellable":{"type":"boolean","default":true,"description":"is this product sellable"},"purchasable":{"type":"boolean","default":true,"description":"is this product purchasable"},"solvable":{"type":"boolean","default":false,"description":"is this product solvable to another package-variant"},"mergeable":{"type":"boolean","default":false,"description":"is this product mergeable to another package-variant"},"salesUnit":{"type":"number","description":"Sales unit."},"grossMetric":{"$ref":"#/components/schemas/erp-product-Article.Metric"},"netMetric":{"$ref":"#/components/schemas/erp-product-Article.Metric"},"grossVolumeInCubicMeters":{"type":"number","description":"gross Volume in cubic meters"},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"capacity":{"type":"number","description":"capacity"},"capacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"baseCapacity":{"type":"number","description":"base capacity"},"baseCapacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"productRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"netSalesPrice":{"type":"number","description":"net sales prices"},"grossSalesPrice":{"type":"number","description":"gross sales prices"},"taxSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"basePriceUnit":{"type":"number","description":"Base price unit."},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliverable":{"type":"boolean","default":true,"description":"Is the article still deliverable?"},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":15,"minLength":0,"readOnly":true},"countryOfOriginRef":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"tags":{"type":"array","description":"Product tags.","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"listingId":{"type":"string","description":"Listing identifier."},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is the tax liability reversed under §13b UStG?"},"sellableWithoutStock":{"type":"boolean","default":false,"description":"is this product sellable without any quantity at the stock"},"listed":{"type":"boolean","default":true,"description":"Should the article be listed?"},"listingState":{"type":"string","description":"Listing synchronization status.","enum":["DISABLED","NEED_SYNCHRONIZE","QUEUED_FOR_SYNCHRONIZE","SYNCHRONIZED","ERRONEOUS","NEED_DELETION","QUEUED_FOR_DELETION"],"readOnly":true},"listingStateChangeTime":{"type":"string","format":"date-time","description":"Last listingState update.","readOnly":true},"identifiers":{"type":"array","description":"all (external) product numbers (SKU, EAN, ...)","items":{"$ref":"#/components/schemas/erp-product-ArticleIdentifier"}},"name":{"type":"string","description":"name of this product"},"alternativeName":{"type":"string","description":"alternative name of this product"},"description":{"type":"string","description":"description of this product"},"listingDescriptionCustom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"availabilityDetermination":{"$ref":"#/components/schemas/erp-product-ArticleAvailabilityDetermination"},"listingCustom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"targetTradingMargin":{"type":"number","description":"Target trading margin."},"languageCode":{"type":"string","description":"Restriction to a country."},"dangerousGoodInformation":{"$ref":"#/components/schemas/erp-product-DangerousGoodInformation"},"dangerousGoods":{"type":"boolean","default":false,"description":"The article is dangerous goods."},"availableAlone":{"type":"boolean","default":true,"description":"Is the article deliverable on its own?"},"pickingType":{"type":"string","default":"ACCORDING_TO_TEMPLATE","description":"Defines how an article may be picked.","enum":["ACCORDING_TO_TEMPLATE","PICKING_ALLOWED","PICKING_NOT_ALLOWED","ONLY_SINGLE_ORDER_PICKING_ALLOWED","ONLY_COLLECTIVE_ORDER_PICKING_ALLOWED"]},"workUnitInMinutes":{"type":"integer","format":"int32","description":"Work unit in minutes.","minimum":0},"initialLastPurchasePrice":{"type":"number","description":"Last purchase price (initial value)."},"initialAvgPurchasePrice":{"type":"number","description":"Average purchase price (initial value)."},"determineAvgPurchasePrice":{"type":"boolean","default":true,"description":"Should the average purchase price be calculated?"},"commissionable":{"type":"boolean","default":true,"description":"Is this article eligible for commission?"},"cashDiscountable":{"type":"boolean","default":true,"description":"Is this article eligible for the payment discount?"},"discountable":{"type":"boolean","default":true,"description":"Is this article eligible for discount?"},"contingentArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printWarningIfNoContingentAvailable":{"type":"boolean","default":true,"description":"Only for quota articles: should the billing print a note that no quota is available?"},"freelyPickable":{"type":"boolean","default":false,"description":"Freely pickable."},"shippingLabelPrinting":{"type":"boolean","default":false,"description":"Shipping label printing."},"permissibleForOrderProposal":{"type":"boolean","default":true,"description":"Eligible for inclusion in order proposals."},"dropShippingPolicy":{"type":"string","default":"STORAGE","description":"Defines whether and how an article may be sold by drop shipping.","enum":["ANY","DROP_SHIPPING","STORAGE","STORAGE_WITH_FALLBACK_TO_DROP_SHIPPING"]},"fabrication":{"type":"boolean","default":false,"description":"Fabrication."},"onlyManualFabrication":{"type":"boolean","default":false,"description":"Manual fabrication only."},"fabricationOfComponents":{"type":"string","description":"Component fabrication.","enum":["NEVER","COMPLETELY_IF_NECESSARY","REQUIRED_QUANTITY_IF_NECESSARY","ALWAYS"]},"defaultFabricationCost":{"type":"number","description":"Predefined production costs."},"printLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerArticleNumber":{"type":"string","description":"Article number."},"needsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Demand determination based on reservations only."},"onGoodsArrivalConvertIntoBundleArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remark":{"type":"string","description":"Special remark."},"note":{"type":"string","description":"Note."},"forcedRecommendedRetailPrice":{"type":"boolean","description":"Is the recommended retail price mandatory?"},"articleAssetInformation":{"$ref":"#/components/schemas/erp-product-ArticleAssetInformation"},"returnable":{"type":"boolean","default":true,"description":"Is this returnable?"},"storageInfo":{"type":"string","description":"Kommissionierungshinweis","maxLength":2147483647,"minLength":0},"priceLookUpCode":{"type":"string","description":"Price look-up code (PLU)."}},"required":["deliverable","dropShippingPolicy","productGroupRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-product-Article.Metric":{"description":"weight and size w.o. packaging","properties":{"weight":{"type":"number","description":"weight"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sizeUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sizeX":{"type":"number","description":"size"},"sizeY":{"type":"number","description":"size"},"sizeZ":{"type":"number","description":"size"}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-product-ArticleIdentifier":{"description":"all (external) product numbers (SKU, EAN, ...)","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"value":{"type":"string","description":"identifier","maxLength":255,"minLength":0},"name":{"type":"string","description":"identifier type","maxLength":255,"minLength":0},"defaultArticleIdentifier":{"type":"boolean","default":false,"description":"Is this the default article identifier?"}},"required":["defaultArticleIdentifier","name","value"]},"erp-product-ArticleAvailabilityDetermination":{"description":"Availability determination for the article master data and the stock view.","properties":{"inStock":{"type":"string","description":"How the stock is handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reserved":{"type":"string","description":"How reserved quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"ordered":{"type":"string","description":"How ordered quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"inPicking":{"type":"string","description":"How quantities in picking are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reporting":{"type":"string","description":"How reorder levels are handled.","enum":["IGNORE","ADD","SUBTRACT"]}}},"erp-product-DangerousGoodInformation":{"description":"Dangerous goods information.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"description":{"type":"string","description":"description"},"shippingName":{"type":"string","description":"shipping name"},"technicalName":{"type":"string","description":"technical name"},"adrNumber":{"type":"string","description":"adr identification number"},"unNumber":{"type":"string","description":"united nations number (un number)"},"identificationClass":{"type":"string","description":"identification class"},"classificationCode":{"type":"string","description":"classification code"},"packingGroup":{"type":"string","description":"packing group (I, II, III or blank)"},"packingCode":{"type":"string","description":"packing code"},"transportCategory":{"type":"string","description":"transportation category"},"regulationCode":{"type":"string","description":"regulation code","enum":["FR","LQ","EQ","LR"]},"regulationSet":{"type":"string","description":"regulation Set, e.g. ADR","enum":["ADR","IATA"]},"hazardousWeight":{"type":"number","description":"weight of the hazardous part"},"subsidiaryRisk":{"type":"boolean","default":false,"description":"secundary risk of the dangerous good"},"tunnelRestrictionCode":{"type":"string","description":"tunnel restriction classes","enum":["A","B","C","D","E"]}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}},"erp-product-ArticleAssetInformation":{"description":"Information about the connection between the asset and the Article.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"createAssetOnStorageEntry":{"type":"boolean","default":false,"description":"Create assets automatically on stock receipt."},"createAssetOnSale":{"type":"boolean","default":false,"description":"Create the asset automatically on sale."},"createAssetOnDocumentCategory":{"type":"string","description":"Create the asset for this document category.","enum":["CUSTOMER_DELIVERY","CUSTOMER_INVOICE"]},"createWithAssetType":{"$ref":"#/components/schemas/erp-asset-AssetType"}}},"erp-asset-AssetType":{"description":"Asset.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label."},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## DELETE /erp/articles/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}":{"delete":{"tags":["Article"],"operationId":"deleteById","parameters":[{"name":"id","in":"path","description":"Article identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## PUT /erp/articles/{id}/taxes/{taxId}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}/taxes/{taxId}":{"put":{"tags":["Article"],"summary":"Update existing Resource ","operationId":"updateTax","parameters":[{"name":"id","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taxId","in":"path","description":"ID of product-tax","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleTax"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleTax"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-product-ArticleTax":{"description":"Article tax assignment.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"countryCode":{"type":"string","description":"the country, this entry is valid for","minLength":1},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"},"articleId":{"type":"integer","format":"int64","description":"the date, this entry is valid from","readOnly":true}},"required":["countryCode","typeRef","validFrom"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## DELETE /erp/articles/{id}/taxes/{taxId}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}/taxes/{taxId}":{"delete":{"tags":["Article"],"summary":"Delete an existing Resource","operationId":"deleteTax","parameters":[{"name":"id","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taxId","in":"path","description":"ID of product-tax","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/articles/{id}/leasable-lock/{lockToken}

> Extend a lock

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}/leasable-lock/{lockToken}":{"put":{"tags":["Article"],"summary":"Extend a lock","operationId":"refreshLeasableLock_1","parameters":[{"name":"id","in":"path","description":"Locked resource identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"lockToken","in":"path","description":"Token of the lock to extend.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"leasePeriod","in":"query","description":"Optional lease duration in seconds.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-unknownmodule-LeasableLock"}}}}}}}},"components":{"schemas":{"core-unknownmodule-LeasableLock":{"properties":{"key":{"type":"string","minLength":1},"token":{"type":"integer","format":"int64"},"userId":{"type":"integer","format":"int64"},"lockedBySystem":{"type":"boolean"},"validUntil":{"type":"string","format":"date-time"},"id":{"type":"string","description":"Unique identifier of the Object","readOnly":true}},"required":["key","token"]}}}}
```

## DELETE /erp/articles/{id}/leasable-lock/{lockToken}

> Release a lock

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}/leasable-lock/{lockToken}":{"delete":{"tags":["Article"],"summary":"Release a lock","operationId":"releaseLeasableLock_1","parameters":[{"name":"id","in":"path","description":"Locked resource identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"lockToken","in":"path","description":"Token of the lock to release.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /erp/articles/{id}/fabrication-components/{componentId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}/fabrication-components/{componentId}":{"get":{"tags":["Article"],"operationId":"getFabricationComponent","parameters":[{"name":"id","in":"path","description":"Article identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"componentId","in":"path","description":"Component identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"languageCode","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleFabricationComponent"}}}}}}}},"components":{"schemas":{"erp-product-ArticleFabricationComponent":{"description":"Fabrication article component.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"fabricationArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"componentArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"sourceBundleArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"quantity":{"type":"number","description":"Quantity."},"deviatingUnitRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deviatingUnitPrice":{"type":"number","description":"Deviating production costs."},"name":{"type":"string","description":"Label.","maxLength":255,"minLength":0},"description":{"type":"string","description":"Description.","maxLength":2147483647,"minLength":0},"forSerialInheritance":{"type":"boolean","default":false,"description":"Basis for inheriting the serial number."},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true}},"required":["componentArticleRef","fabricationArticleRef","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-product-ProductArticleRef":{"description":"All articles belonging to this product.","properties":{"id":{"type":"integer","format":"int64","description":"Article identifier."},"number":{"type":"string","description":"Article number"},"name":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]}}}}
```

## PUT /erp/articles/{id}/fabrication-components/{componentId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}/fabrication-components/{componentId}":{"put":{"tags":["Article"],"operationId":"updateFabricationComponent","parameters":[{"name":"id","in":"path","description":"Article identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"componentId","in":"path","description":"Component identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"languageCode","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleFabricationComponent"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleFabricationComponent"}}}}}}}},"components":{"schemas":{"erp-product-ArticleFabricationComponent":{"description":"Fabrication article component.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"fabricationArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"componentArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"sourceBundleArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"quantity":{"type":"number","description":"Quantity."},"deviatingUnitRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deviatingUnitPrice":{"type":"number","description":"Deviating production costs."},"name":{"type":"string","description":"Label.","maxLength":255,"minLength":0},"description":{"type":"string","description":"Description.","maxLength":2147483647,"minLength":0},"forSerialInheritance":{"type":"boolean","default":false,"description":"Basis for inheriting the serial number."},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true}},"required":["componentArticleRef","fabricationArticleRef","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-product-ProductArticleRef":{"description":"All articles belonging to this product.","properties":{"id":{"type":"integer","format":"int64","description":"Article identifier."},"number":{"type":"string","description":"Article number"},"name":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]}}}}
```

## DELETE /erp/articles/{id}/fabrication-components/{componentId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}/fabrication-components/{componentId}":{"delete":{"tags":["Article"],"operationId":"deleteFabricationComponent","parameters":[{"name":"id","in":"path","description":"Article identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"componentId","in":"path","description":"Component identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## PUT /erp/articles/{id}/deactivate

> Deactivate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}/deactivate":{"put":{"tags":["Article"],"summary":"Deactivate an existing resource","operationId":"deactivate_37","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-Article"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-product-Article":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active","readOnly":true},"baseArticle":{"type":"boolean","default":true,"description":"Is this the product's base article?","readOnly":true},"productType":{"type":"string","description":"Article types.","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"],"readOnly":true},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"expiryDateType":{"type":"string","description":"Expiry date type for serial articles.","enum":["NONE","BEST_BEFORE_DATE","EXPIRATION_DATE"],"readOnly":true},"minimumRemainingDaysBeforeExpiryDateOnGoodsReceipt":{"type":"integer","format":"int32","description":"Minimum remaining shelf life incoming (days): minimum remaining shelf life in days an article must still have when booked into a sales storage.","readOnly":true},"minimumRemainingDaysBeforeExpiryDateForGoodsIssued":{"type":"integer","format":"int32","description":"Minimum remaining shelf life outgoing (days): minimum remaining shelf life in days an article must still have when sold.","readOnly":true},"warrantyInMonths":{"type":"integer","format":"int32","description":"Warranty in months.","readOnly":true},"lotOnlyRequiredWhenBookedToSalesStorage":{"type":"boolean","default":false,"description":"A lot must be assigned when booking into a sales storage (for serial types LOT and BEST_BEFORE).","readOnly":true},"serialNumberLabelingType":{"type":"string","description":"Serial number labeling type.","enum":["MANUAL","AUTOMATIC_ON_SUPPLIER_ORDER","AUTOMATIC_ON_SUPPLIER_DELIVERY"],"readOnly":true},"number":{"type":"string","description":"unique product number","maxLength":255,"minLength":0},"sellable":{"type":"boolean","default":true,"description":"is this product sellable"},"purchasable":{"type":"boolean","default":true,"description":"is this product purchasable"},"solvable":{"type":"boolean","default":false,"description":"is this product solvable to another package-variant"},"mergeable":{"type":"boolean","default":false,"description":"is this product mergeable to another package-variant"},"salesUnit":{"type":"number","description":"Sales unit."},"grossMetric":{"$ref":"#/components/schemas/erp-product-Article.Metric"},"netMetric":{"$ref":"#/components/schemas/erp-product-Article.Metric"},"grossVolumeInCubicMeters":{"type":"number","description":"gross Volume in cubic meters"},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"capacity":{"type":"number","description":"capacity"},"capacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"baseCapacity":{"type":"number","description":"base capacity"},"baseCapacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"productRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"netSalesPrice":{"type":"number","description":"net sales prices"},"grossSalesPrice":{"type":"number","description":"gross sales prices"},"taxSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"basePriceUnit":{"type":"number","description":"Base price unit."},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliverable":{"type":"boolean","default":true,"description":"Is the article still deliverable?"},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":15,"minLength":0,"readOnly":true},"countryOfOriginRef":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"tags":{"type":"array","description":"Product tags.","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"listingId":{"type":"string","description":"Listing identifier."},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is the tax liability reversed under §13b UStG?"},"sellableWithoutStock":{"type":"boolean","default":false,"description":"is this product sellable without any quantity at the stock"},"listed":{"type":"boolean","default":true,"description":"Should the article be listed?"},"listingState":{"type":"string","description":"Listing synchronization status.","enum":["DISABLED","NEED_SYNCHRONIZE","QUEUED_FOR_SYNCHRONIZE","SYNCHRONIZED","ERRONEOUS","NEED_DELETION","QUEUED_FOR_DELETION"],"readOnly":true},"listingStateChangeTime":{"type":"string","format":"date-time","description":"Last listingState update.","readOnly":true},"identifiers":{"type":"array","description":"all (external) product numbers (SKU, EAN, ...)","items":{"$ref":"#/components/schemas/erp-product-ArticleIdentifier"}},"name":{"type":"string","description":"name of this product"},"alternativeName":{"type":"string","description":"alternative name of this product"},"description":{"type":"string","description":"description of this product"},"listingDescriptionCustom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"availabilityDetermination":{"$ref":"#/components/schemas/erp-product-ArticleAvailabilityDetermination"},"listingCustom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"targetTradingMargin":{"type":"number","description":"Target trading margin."},"languageCode":{"type":"string","description":"Restriction to a country."},"dangerousGoodInformation":{"$ref":"#/components/schemas/erp-product-DangerousGoodInformation"},"dangerousGoods":{"type":"boolean","default":false,"description":"The article is dangerous goods."},"availableAlone":{"type":"boolean","default":true,"description":"Is the article deliverable on its own?"},"pickingType":{"type":"string","default":"ACCORDING_TO_TEMPLATE","description":"Defines how an article may be picked.","enum":["ACCORDING_TO_TEMPLATE","PICKING_ALLOWED","PICKING_NOT_ALLOWED","ONLY_SINGLE_ORDER_PICKING_ALLOWED","ONLY_COLLECTIVE_ORDER_PICKING_ALLOWED"]},"workUnitInMinutes":{"type":"integer","format":"int32","description":"Work unit in minutes.","minimum":0},"initialLastPurchasePrice":{"type":"number","description":"Last purchase price (initial value)."},"initialAvgPurchasePrice":{"type":"number","description":"Average purchase price (initial value)."},"determineAvgPurchasePrice":{"type":"boolean","default":true,"description":"Should the average purchase price be calculated?"},"commissionable":{"type":"boolean","default":true,"description":"Is this article eligible for commission?"},"cashDiscountable":{"type":"boolean","default":true,"description":"Is this article eligible for the payment discount?"},"discountable":{"type":"boolean","default":true,"description":"Is this article eligible for discount?"},"contingentArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printWarningIfNoContingentAvailable":{"type":"boolean","default":true,"description":"Only for quota articles: should the billing print a note that no quota is available?"},"freelyPickable":{"type":"boolean","default":false,"description":"Freely pickable."},"shippingLabelPrinting":{"type":"boolean","default":false,"description":"Shipping label printing."},"permissibleForOrderProposal":{"type":"boolean","default":true,"description":"Eligible for inclusion in order proposals."},"dropShippingPolicy":{"type":"string","default":"STORAGE","description":"Defines whether and how an article may be sold by drop shipping.","enum":["ANY","DROP_SHIPPING","STORAGE","STORAGE_WITH_FALLBACK_TO_DROP_SHIPPING"]},"fabrication":{"type":"boolean","default":false,"description":"Fabrication."},"onlyManualFabrication":{"type":"boolean","default":false,"description":"Manual fabrication only."},"fabricationOfComponents":{"type":"string","description":"Component fabrication.","enum":["NEVER","COMPLETELY_IF_NECESSARY","REQUIRED_QUANTITY_IF_NECESSARY","ALWAYS"]},"defaultFabricationCost":{"type":"number","description":"Predefined production costs."},"printLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerArticleNumber":{"type":"string","description":"Article number."},"needsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Demand determination based on reservations only."},"onGoodsArrivalConvertIntoBundleArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remark":{"type":"string","description":"Special remark."},"note":{"type":"string","description":"Note."},"forcedRecommendedRetailPrice":{"type":"boolean","description":"Is the recommended retail price mandatory?"},"articleAssetInformation":{"$ref":"#/components/schemas/erp-product-ArticleAssetInformation"},"returnable":{"type":"boolean","default":true,"description":"Is this returnable?"},"storageInfo":{"type":"string","description":"Kommissionierungshinweis","maxLength":2147483647,"minLength":0},"priceLookUpCode":{"type":"string","description":"Price look-up code (PLU)."}},"required":["deliverable","dropShippingPolicy","productGroupRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-product-Article.Metric":{"description":"weight and size w.o. packaging","properties":{"weight":{"type":"number","description":"weight"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sizeUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sizeX":{"type":"number","description":"size"},"sizeY":{"type":"number","description":"size"},"sizeZ":{"type":"number","description":"size"}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-product-ArticleIdentifier":{"description":"all (external) product numbers (SKU, EAN, ...)","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"value":{"type":"string","description":"identifier","maxLength":255,"minLength":0},"name":{"type":"string","description":"identifier type","maxLength":255,"minLength":0},"defaultArticleIdentifier":{"type":"boolean","default":false,"description":"Is this the default article identifier?"}},"required":["defaultArticleIdentifier","name","value"]},"erp-product-ArticleAvailabilityDetermination":{"description":"Availability determination for the article master data and the stock view.","properties":{"inStock":{"type":"string","description":"How the stock is handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reserved":{"type":"string","description":"How reserved quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"ordered":{"type":"string","description":"How ordered quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"inPicking":{"type":"string","description":"How quantities in picking are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reporting":{"type":"string","description":"How reorder levels are handled.","enum":["IGNORE","ADD","SUBTRACT"]}}},"erp-product-DangerousGoodInformation":{"description":"Dangerous goods information.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"description":{"type":"string","description":"description"},"shippingName":{"type":"string","description":"shipping name"},"technicalName":{"type":"string","description":"technical name"},"adrNumber":{"type":"string","description":"adr identification number"},"unNumber":{"type":"string","description":"united nations number (un number)"},"identificationClass":{"type":"string","description":"identification class"},"classificationCode":{"type":"string","description":"classification code"},"packingGroup":{"type":"string","description":"packing group (I, II, III or blank)"},"packingCode":{"type":"string","description":"packing code"},"transportCategory":{"type":"string","description":"transportation category"},"regulationCode":{"type":"string","description":"regulation code","enum":["FR","LQ","EQ","LR"]},"regulationSet":{"type":"string","description":"regulation Set, e.g. ADR","enum":["ADR","IATA"]},"hazardousWeight":{"type":"number","description":"weight of the hazardous part"},"subsidiaryRisk":{"type":"boolean","default":false,"description":"secundary risk of the dangerous good"},"tunnelRestrictionCode":{"type":"string","description":"tunnel restriction classes","enum":["A","B","C","D","E"]}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}},"erp-product-ArticleAssetInformation":{"description":"Information about the connection between the asset and the Article.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"createAssetOnStorageEntry":{"type":"boolean","default":false,"description":"Create assets automatically on stock receipt."},"createAssetOnSale":{"type":"boolean","default":false,"description":"Create the asset automatically on sale."},"createAssetOnDocumentCategory":{"type":"string","description":"Create the asset for this document category.","enum":["CUSTOMER_DELIVERY","CUSTOMER_INVOICE"]},"createWithAssetType":{"$ref":"#/components/schemas/erp-asset-AssetType"}}},"erp-asset-AssetType":{"description":"Asset.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label."},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## GET /erp/articles/{id}/components/{componentId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}/components/{componentId}":{"get":{"tags":["Article"],"operationId":"getComponent","parameters":[{"name":"id","in":"path","description":"Article identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"componentId","in":"path","description":"Component identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"languageCode","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleComponent"}}}}}}}},"components":{"schemas":{"erp-product-ArticleComponent":{"description":"Assembly or jumbo article components.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"containerArticleId":{"type":"integer","format":"int64","description":"Assembly or jumbo article."},"componentArticleId":{"type":"integer","format":"int64","description":"Component article."},"number":{"type":"string","description":"Component article number."},"name":{"type":"string","description":"Component name."},"description":{"type":"string","description":"Component description."},"quantity":{"type":"number","description":"Component quantity."},"position":{"type":"integer","format":"int32","description":"Component position within the container."},"salesPrice":{"type":"number","description":"Component sales price."},"purchasePrice":{"type":"number","description":"Component purchase price (average)."},"grossWeight":{"type":"number","description":"Component gross weight."},"netWeight":{"type":"number","description":"Component net weight."},"stockAmount":{"type":"number","description":"Component stock."},"stockAvailable":{"type":"number","description":"Available component quantity."}},"required":["componentArticleId","containerArticleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## PUT /erp/articles/{id}/components/{componentId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Article","description":"the Article API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/articles/{id}/components/{componentId}":{"put":{"tags":["Article"],"operationId":"updateComponent","parameters":[{"name":"id","in":"path","description":"Article identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"componentId","in":"path","description":"Component identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"languageCode","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleComponent"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleComponent"}}}}}}}},"components":{"schemas":{"erp-product-ArticleComponent":{"description":"Assembly or jumbo article components.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"containerArticleId":{"type":"integer","format":"int64","description":"Assembly or jumbo article."},"componentArticleId":{"type":"integer","format":"int64","description":"Component article."},"number":{"type":"string","description":"Component article number."},"name":{"type":"string","description":"Component name."},"description":{"type":"string","description":"Component description."},"quantity":{"type":"number","description":"Component quantity."},"position":{"type":"integer","format":"int32","description":"Component position within the container."},"salesPrice":{"type":"number","description":"Component sales price."},"purchasePrice":{"type":"number","description":"Component purchase price (average)."},"grossWeight":{"type":"number","description":"Component gross weight."},"netWeight":{"type":"number","description":"Component net weight."},"stockAmount":{"type":"number","description":"Component stock."},"stockAvailable":{"type":"number","description":"Available component quantity."}},"required":["componentArticleId","containerArticleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## DELETE /erp/articles/{id}/components/{componentId}

>

```json
[...]
